WinShopAPI docs
ReferencePromotionsFinancial promotion

Get a financial promotion

Returns one financial promotion by `id`. Requires `Permissions.Promotions.View`.

GET
/api/promotions/financial-promotions/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
amountFrom?|
Formatdecimal
amountTo?|
Formatdecimal
barcode?|
Lengthlength <= 20
createdAt?|
Formatdate-time
daysOfWeek?|
Formatint32
deletedAt?|
Formatdate-time
description?|
Lengthlength <= 200
discountAmount?|
Formatdecimal
discountGroupId?|
Formatint32
discountOnNextPurchase?boolean|null
discountOnNextPurchaseConditions?string|null
discountOnNextPurchaseDescription?string|null
discountOnNextPurchaseFrom?|
Formatdate-time
discountOnNextPurchaseMinimalAmount?|
Formatdecimal
discountOnNextPurchaseName?|
Lengthlength <= 50
discountOnNextPurchaseValidDays?|
Formatint32
discountOnNextPurchaseValidTo?|
Formatdate-time
discountPercent?|
Formatdecimal
discountValidAlways?boolean|null
hours?|
Formatint32
id?|
Formatint32
isDeleted?boolean|null
isPrioritized?boolean|null
name?|
Lengthlength <= 80
onlyForNonRegisteredCustomers?boolean|null
onlyForPos?boolean|null
onlyForRegisteredCustomers?boolean|null
paymentTypeId?|
Formatint32
paymentTypes?|
Formatint32
soldAll?boolean|null
useWarehousePrice?boolean|null
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
filters?array<>
warehouses?array<>
curl -X GET 'https://<your-instance>/api/promotions/financial-promotions/0' \  -H 'Authorization: Bearer <access-token>'
{  "amountFrom": 0,  "amountTo": 0,  "barcode": "string",  "createdAt": "2019-08-24T14:15:22Z",  "daysOfWeek": 0,  "deletedAt": "2019-08-24T14:15:22Z",  "description": "string",  "discountAmount": 0,  "discountGroupId": 0,  "discountOnNextPurchase": true,  "discountOnNextPurchaseConditions": "string",  "discountOnNextPurchaseDescription": "string",  "discountOnNextPurchaseFrom": "2019-08-24T14:15:22Z",  "discountOnNextPurchaseMinimalAmount": 0,  "discountOnNextPurchaseName": "string",  "discountOnNextPurchaseValidDays": 0,  "discountOnNextPurchaseValidTo": "2019-08-24T14:15:22Z",  "discountPercent": 0,  "discountValidAlways": true,  "hours": 0,  "id": 0,  "isDeleted": true,  "isPrioritized": true,  "name": "string",  "onlyForNonRegisteredCustomers": true,  "onlyForPos": true,  "onlyForRegisteredCustomers": true,  "paymentTypeId": 0,  "paymentTypes": 0,  "soldAll": true,  "useWarehousePrice": true,  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z",  "filters": [    {      "groupId": 0,      "id": 0,      "modelId": 0,      "promotionId": 0,      "seasonId": 0,      "subGroupId": 0,      "supplierId": 0,      "themeId": 0    }  ],  "warehouses": [    {      "id": 0,      "promotionId": 0,      "warehouseId": 0    }  ]}